Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163660 - Slow write performance on PNY brand CF card in PCMCIA adapter with EXT2 fs
Summary: Slow write performance on PNY brand CF card in PCMCIA adapter with EXT2 fs
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-20 01:19 UTC by Andrew D. Stadler
Modified: 2013-03-06 03:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-12 01:20:26 UTC


Attachments (Terms of Use)

Description Andrew D. Stadler 2005-07-20 01:19:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/412.6 (KHTML, like Gecko) Safari/412.2

Description of problem:
I have been evaluating a number of compact flash cards and one of my tests is write speed from my 
development laptop (an IBM T30).  I am running FC3 (latest) and using a typical CF/PCMCIA adapter.  

I found that the PNY 512 Mb card (THNCF512MPG) had significantly worse performance than all of the 
other cards I tested (SanDisk, Crucial, Lexar).  A large write that took 1-2 minutes on the other cards 
took more than 20 minutes on the PNY card.

I tested the same card on two other systems and while it was not the fastest card I tested, it was at least 
useable.  On linux it was essentially unuseable.

Finally, this problem is only seen when the card is formatted with ext2 file system.  When formatted 
with vfat (e.g. FAT16) it has fairly fast performance.

Version-Release number of selected component (if applicable):
hal-0.4.7-1.FC3

How reproducible:
Always

Steps to Reproduce:
1.  Insert PNY 512 Mb card (THNCF512MPG) into CF/PCMCIA adapter
2.  Insert adapter into laptop slot and observe volume(s) mounting
3.  Format the CF card into two partitions, equal size, and mkfs "ext2" on one and "vfat" on the other
4.  Eject/Insert the card, verify the volumes mount, and verify (/etc/mtab) that they mounted with 
"sync" option
5.  Copy a large file (I used approx 6mb binary) onto each partition and measure the elapsed time
  

Actual Results:  About 15 sec. to copy onto vfat and nearly 20 minutes (I gave up) copying onto ext2

Expected Results:  Roughly equal speeds and dominated by hardware speed not be drive format.

Additional info:

Comment 1 Matthew Miller 2006-07-10 21:28:04 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 petrosyan 2008-02-12 01:20:26 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.